---
title: Environment Variables
description: "A full list of Vector's supported environment variables."
sidebar_label: Env Vars
---

You can control Vector's behavior through select environment variables:

```bash
ENV_VAR1=val ENV_VAR2=val vector --config=/etc/vector/vector.toml
```

In addition, we recommend that you look at the [global configuration
options][docs.global-options] as well.

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     website/docs/reference/env-vars.md.erb
-->

## Variables

import Fields from '@site/src/components/Fields';

import Field from '@site/src/components/Field';

<Fields filters={true}>


<Field
  common={true}
  defaultValue={"unix:///var/run/docker.sock"}
  enumValues={null}
  examples={["unix://path/to/socket","tcp://host:2375/path"]}
  name={"DOCKER_HOST"}
  path={null}
  relevantWhen={null}
  required={true}
  templateable={false}
  type={"string"}
  unit={null}
  >

### DOCKER_HOST

The docker host to connect to.


</Field>


<Field
  common={true}
  defaultValue={true}
  enumValues={null}
  examples={[true,false]}
  name={"DOCKER_VERIFY_TLS"}
  path={null}
  relevantWhen={null}
  required={true}
  templateable={false}
  type={"bool"}
  unit={null}
  >

### DOCKER_VERIFY_TLS

If `true` (the default), Vector will validate the TLS certificate of the remote host. Do NOT set this to `false` unless you understand the risks of not verifying the remote certificate.


</Field>


<Field
  common={false}
  defaultValue={null}
  enumValues={null}
  examples={["debug"]}
  name={"LOG"}
  path={null}
  relevantWhen={null}
  required={false}
  templateable={false}
  type={"string"}
  unit={null}
  >

### LOG

Sets Vector&#39;s log level. See the [log section in the monitoring guide][docs.monitoring#level] for more information on the available levels.


</Field>


<Field
  common={false}
  defaultValue={null}
  enumValues={null}
  examples={[true,false]}
  name={"RUST_BACKTRACE"}
  path={null}
  relevantWhen={null}
  required={false}
  templateable={false}
  type={"bool"}
  unit={null}
  >

### RUST_BACKTRACE

Enables backtraces when errors are logged. Use this when debugging only since it can degrade performance.


</Field>


</Fields>


[docs.global-options]: /docs/reference/global-options/
[docs.monitoring#level]: /docs/administration/monitoring/#level
