---
description: "The Vector `add_tags` transform accepts `metric` events and allows you to add one or more metric tags."
event_types: ["metric"]
issues_url: https://github.com/timberio/vector/issues?q=is%3Aopen+is%3Aissue+label%3A%22transform%3A+add_tags%22
sidebar_label: "add_tags|[\"metric\"]"
source_url: https://github.com/timberio/vector/tree/master/src/transforms/add_tags.rs
status: "prod-ready"
title: "Add Tags Transform"
---

The Vector `add_tags` transform accepts [`metric`][docs.data-model.metric] events and allows you to add one or more metric tags.

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the template located at:

     website/docs/reference/transforms/add_tags.md.erb
-->

## Configuration

import CodeHeader from '@site/src/components/CodeHeader';

<CodeHeader fileName="vector.toml" learnMoreUrl="/docs/setup/configuration/"/ >

```toml
[transforms.my_transform_id]
  # REQUIRED - General
  type = "add_tags" # must be: "add_tags"
  inputs = ["my-source-id"] # example

  # REQUIRED - Tags
  [transforms.my_transform_id.tags]
    static_tag = "my value" # example
    env_tag = "${ENV_VAR}" # example
```

## Options

import Fields from '@site/src/components/Fields';

import Field from '@site/src/components/Field';

<Fields filters={true}>


<Field
  common={true}
  defaultValue={null}
  enumValues={null}
  examples={[]}
  name={"tags"}
  path={null}
  relevantWhen={null}
  required={true}
  templateable={false}
  type={"table"}
  unit={null}
  >

### tags

A table of key/value pairs representing the tags to be added to the metric.

<Fields filters={false}>


<Field
  common={true}
  defaultValue={null}
  enumValues={null}
  examples={[{"static_tag":"my value"},{"env_tag":"${ENV_VAR}"}]}
  name={"`[tag-name]`"}
  path={"tags"}
  relevantWhen={null}
  required={true}
  templateable={false}
  type={"string"}
  unit={null}
  >

#### `[tag-name]`

The name of the tag to add. Due to the nature of metric tags, the value must be a string.


</Field>


</Fields>

</Field>


</Fields>

## How It Works

### Environment Variables

Environment variables are supported through all of Vector's configuration.
Simply add `${MY_ENV_VAR}` in your Vector configuration file and the variable
will be replaced before being evaluated.

You can learn more in the [Environment Variables][docs.configuration#environment-variables]
section.


[docs.configuration#environment-variables]: /docs/setup/configuration/#environment-variables
[docs.data-model.metric]: /docs/about/data-model/metric/
